org.eclipse.microprofile.fault.tolerance.tck.metrics.util

## Class MetricRegistryProvider

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.metrics.util.MetricRegistryProvider

    @ApplicationScoped
    public class MetricRegistryProvider
    extends Object

Registers a MetricRegistryProxy bean for the BASE scope

### Constructor Summary

Constructors
Constructor and Description
`MetricRegistryProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MetricRegistryProxy` `getBaseRegistry()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricRegistryProvider

    public MetricRegistryProvider()

### Method Detail

#### getBaseRegistry

    @Produces
     @RegistryType(type=BASE)
    public MetricRegistryProxy getBaseRegistry()